Bug 870234 - (CVE-2012-4546) CVE-2012-4546 ipa: servers do not publish correct CRLs
CVE-2012-4546 ipa: servers do not publish correct CRLs
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120904,reported=2...
: Security
Depends On: 903391
Blocks: 855229 870243
  Show dependency treegraph
 
Reported: 2012-10-25 17:18 EDT by Vincent Danen
Modified: 2013-02-21 23:47 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 23:47:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 295843 None None None Never

  None (edit)
Description Vincent Danen 2012-10-25 17:18:56 EDT
It was found that the current default configuration of IPA servers did not publish correct CRLs (Certificate Revocation Lists).  The default configuration specifies that every replica is to generate its own CRL, however this can result in inconsistencies in the CRL contents provided to clients from different Identity Management replicas.  More specifically, if a certificate is revoked on one Identity Management replica, it will not show up on another Identity Management replica.

To avoid this inconsistency, the solution is to configure CRL generation to only take place on one Identity Management server.  To do so in Red Hat Enterprise Linux 6.3 and earlier, the CRL configuration must be changed on all Identity Management servers.

Please refer to the kbase https://access.redhat.com/knowledge/solutions/295843 for further details on how to properly implement the work-around.  As of Red Hat Enterprise Linux 6.4, Identity Management replicas will not have CRL generation enabled by default (except for the first server which will be enabled), so it will not need to be disabled manually, however if upgrading from 6.3 to 6.4, users must follow the instructions in the kbase article to resolve this manually as the upgrade will not resolve the issue.

If the first server is decommissioned (the CRL generator), then CRL generation must be moved to another server, following provided product documentation.
Comment 2 Vincent Danen 2012-10-29 12:31:04 EDT
This has been corrected in FreeIPA 3.0:

http://git.fedorahosted.org/cgit/freeipa.git/commit/?id=755f1d728d4993f58b3e82716785e1658efad5d3

Also reported to FreeIPA via:

https://fedorahosted.org/freeipa/ticket/3051
Comment 6 Vincent Danen 2013-01-23 18:02:25 EST
Created freeipa tracking bugs for this issue

Affects: fedora-all [bug 903391]
Comment 11 Fedora Update System 2013-02-01 23:23:21 EST
freeipa-3.1.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 errata-xmlrpc 2013-02-21 04:29:26 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0528 https://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.